IllegalTargetException (XOM 1.2.4 API)
Date: 2009-12-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nu.xom
Class IllegalTargetException

    Object
      Throwable
          Exception
              RuntimeException
                  nu.xom.XMLException
                      nu.xom.WellformednessException
                          nu.xom.IllegalDataException
                              nu.xom.IllegalNameException
                                  nu.xom.IllegalTargetException

All Implemented Interfaces:
  Serializable

    public class IllegalTargetException

extends IllegalNameException

Indicates an attempt to assign a processing instruction target that is not a legal XML 1.0 processing instruction target. This is either because the proposed target is not a legal non-colonized name or because it consists of the three letters "XML" in that order in any combination of case.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  Serialized Form

Constructor Summary
`IllegalTargetException(String message)` Creates a new `IllegalTargetException` with a detail message.
`IllegalTargetException(String message, Throwable cause)` Creates a new `IllegalTargetException` with a detail message and an underlying root cause.

Method Summary

Methods inherited from class nu.xom.IllegalDataException
`getData, setData`

Methods inherited from class nu.xom.XMLException
`getCause, initCause`

Methods inherited from class Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalTargetException

    public IllegalTargetException(String message)

  Creates a new `IllegalTargetException` with a detail message.

  Parameters:
    `message` - a string indicating the specific problem

### IllegalTargetException

    public IllegalTargetException(String message,
                                  Throwable cause)

  Creates a new `IllegalTargetException` with a detail message and an underlying root cause.

  Parameters:
    `message` - a string indicating the specific problem
    `cause` - the original cause of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2009 Elliotte Rusty Harold
elharo@ibiblio.org